import { boot } from 'quasar/wrappers';
import { createI18n } from 'vue-i18n';
import messages from '../statics/i18n.js';

// Definisci i tipi per i messaggi
export type MessageLanguages = keyof typeof messages;
export type MessageSchema = typeof messages;


// Crea l'istanza di i18n
const i18n = createI18n({
  locale: 'it', // Lingua predefinita
  legacy: false, // Usa la Composition API
  messages,
});

// Esporta l'istanza di i18n
export { i18n };

// Usa i18n nel boot file di Quasar
export default boot(({ app }) => {
  app.use(i18n);
});
